JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.credits.customCurrencies.listAssociatedEntities('currencyId');
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.credits.custom_currencies.list_associated_entities(
currency_id="currencyId",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Credits.CustomCurrencies.ListAssociatedEntities(
context.TODO(),
"currencyId",
stigg.V1CreditCustomCurrencyListAssociatedEntitiesParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListAssociatedEntitiesParams;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListAssociatedEntitiesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyListAssociatedEntitiesResponse response = client.v1().credits().customCurrencies().listAssociatedEntities("currencyId");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.credits.custom_currencies.list_associated_entities("currencyId")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyListAssociatedEntitiesParams parameters = new()
{
CurrencyID = "currencyId"
};
var response = await client.V1.Credits.CustomCurrencies.ListAssociatedEntities(parameters);
Console.WriteLine(response);stigg v1:credits:custom-currencies list-associated-entities \
--api-key 'My API Key' \
--currency-id currencyIdcurl --request GET \
--url https://api.stigg.io/api/v1/credits/custom-currencies/{currencyId}/associated-entities \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/custom-currencies/{currencyId}/associated-entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "<string>",
"type": "<string>",
"displayName": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Custom currencies
List custom currency associated entities
Lists the active plans and addons that reference a custom currency. Useful before archiving to inspect dependencies.
GET
/
api
/
v1
/
credits
/
custom-currencies
/
{currencyId}
/
associated-entities
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.credits.customCurrencies.listAssociatedEntities('currencyId');
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.credits.custom_currencies.list_associated_entities(
currency_id="currencyId",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Credits.CustomCurrencies.ListAssociatedEntities(
context.TODO(),
"currencyId",
stigg.V1CreditCustomCurrencyListAssociatedEntitiesParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListAssociatedEntitiesParams;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyListAssociatedEntitiesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyListAssociatedEntitiesResponse response = client.v1().credits().customCurrencies().listAssociatedEntities("currencyId");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.credits.custom_currencies.list_associated_entities("currencyId")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyListAssociatedEntitiesParams parameters = new()
{
CurrencyID = "currencyId"
};
var response = await client.V1.Credits.CustomCurrencies.ListAssociatedEntities(parameters);
Console.WriteLine(response);stigg v1:credits:custom-currencies list-associated-entities \
--api-key 'My API Key' \
--currency-id currencyIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The reference ID of the custom currency
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Response
A list of entities currently referencing the custom currency.
List of entities (plans or addons) that reference a custom currency
Show child attributes
Show child attributes
⌘I
